﻿
.angular-ui-tree-placeholder {
    background: #f0f9ff;
    border: 2px dashed #bed2db;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/*=================================================================*/
#tree-view-page .col-right .title {
    color: gray;
    margin-top: 10px;
}

    #tree-view-page .col-right .title:first-of-type {
        margin-top: 0px;
    }

#tree-view-page .panel-heading .btn-group-holder {
    float: right;
}

#tree-view-page.row .panel-body {
    min-height: 50vh;
    padding: 5px;
    padding-bottom: 50px;
}

#tree-view-page .col {
    padding: 0 5px;
}

#tree-view-page .panel-title {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    font-size: 13px;
    min-height: 23px;
}

#tree-view-page #selected-details .col {
    word-wrap: break-word;
    padding-left: 20px;
}

#tree-view-page .col-left {
    padding: 0 5px 0 0;
    margin-top: -5px !important;
}

#tree-view-page .angular-ui-tree-handle {
    padding: 5px;
}


#tree-view-page .panel-heading {
    padding-top: 5px;
    padding-bottom: 2px;
}

#tree-view-page .tree-node-content {
    margin: 5px;
}

#tree-view-page .angular-ui-tree-handle:hover {
    background-color: rgb(128, 128, 128) !important;
    cursor: pointer;
}

#tree-view-page .angular-ui-tree-handle.disabled:hover {
    cursor: not-allowed;
}

#tree-view-page .tile-view {
    list-style: none;
    padding: 10px 0;
}

    #tree-view-page .tile-view li {
        float: left;
        padding: 10px;
        text-align: center;
        background-color: whitesmoke;
        border: 1px solid #fff;
        max-height: 110px !important;
    }

    #tree-view-page .tile-view img {
        max-height: 70px;
    }

#tree-view-page .tree-node-content .file-name, #tree-view-page .th-list td div, #tree-view-page .th-list td {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    font-weight: normal;
}

#tree-view-page .th-list td {
    font-weight: normal;
}

#tree-view-page th, #tree-view-page td {
    padding: 5px;
}

#tree-view-page .th-list {
    overflow-x: auto;
}

    #tree-view-page .th-list td div {
        min-width: 50px;
    }

    #tree-view-page .th-list tr td:first-child div {
        width: 320px;
    }

    #tree-view-page .th-list thead th {
        border-right: solid 1px lightgray;
        line-height: 10px;
        font-size: smaller;
    }

#tree-view-page .tile-view .file-name {
    display: block;
    text-align: center;
    height: 30px;
    max-height: 30px !important;
    width: 100px;
}

#tree-view-page .tree-node-content.highlight {
    background-color: rgb(253, 234, 181) !important;
    color: black !important;
}

#tree-view-page .tree-node-content.active {
    background-color: gray !important;
    color: white !important;
}

#tree-view-page .th-list img {
    max-height: 20px;
}

#file-view-modal .modal-header {
    padding: 0 5px;
    background-color: #555555;
    border: #555555;
}

#file-view {
    max-height: 86vh;
    height: 86vh;
    padding: 0;
    background-color: black;
}

    #file-view object, #file-view pre {
        width: 100%;
        height: 100%;
        border-radius: 0;
    }

    #file-view img {
        max-height: 100%;
        max-width: 100%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

.wiki.tree-node {
    border: 1px solid #dae2ea;
    background: whitesmoke;
    text-overflow: ellipsis;
    overflow: hidden;
}
